Skip to main content
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
/
{documentId}
/
sourceFiles
Adds files to the transaction document
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'Model={
  "files": [
    {
      "index": "<string>",
      "registrationParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}' \
  --form 'Files=<string>' \
  --form Files.items='@example-file'
import requests

url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles"

files = { "Files.items": ("example-file", open("example-file", "rb")) }
payload = {
"Model": "{
\"files\": [
{
\"index\": \"<string>\",
\"registrationParameters\": [
{
\"key\": \"<string>\",
\"value\": \"<string>\"
}
]
}
]
}",
"Files": "<string>"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('Model', '{
"files": [
{
"index": "<string>",
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}');
form.append('Files', '<string>');
form.append('Files.items', '{
"fileName": "example-file"
}');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "title": "<string>",
  "status": "<string>",
  "detail": "<string>",
  "instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transactionId
string<uuid>
required

Transaction identifier

documentId
string<uuid>
required

Transaction document identifier

Body

multipart/form-data
Model
object

Additional processing parameters for transaction document. See TransactionDocumentMetadataDto model.

Files
file[]

Model for getting file passed in multipart/* content

Response

Files successfully added to a transaction document